# Uses of Interface
org.eclipse.jface.text.source.IAnnotationAccessExtension

Packages that use IAnnotationAccessExtension
Package
Description
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IAnnotationAccessExtension in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement IAnnotationAccessExtension
Modifier and Type
Class
Description
`class`
`DefaultMarkerAnnotationAccess`
Default class for accessing marker annotation properties.
Methods in org.eclipse.ui.texteditor that return IAnnotationAccessExtension
Modifier and Type
Method
Description
`protected final IAnnotationAccessExtension`
SelectMarkerRulerAction.`getAnnotationAccessExtension()`
Returns the annotation access extension.